XPILOT-NG-SDL(6)

NAME
xpilot-ng-sdl - an SDL/OpenGL XPilot client.

SYNOPSIS
xpilot-ng-sdl [-options ...] [server]

DESCRIPTION
Where options include:

-newbie <value>

    Enable newbie help. The default value is: yes.

-help

    Display this help message.

-version

    Show the source code version.

-join

    Join the game immediately, no questions asked.

-text

    Use the simple text interface to contact a server instead of the graphical user interface.

-list

    List all servers running on the local network.

-shutdown <value>

    Shutdown the server with a message. The message used is the first argument to this option. There is no default value for this option.

-name <value>

    Set the nickname. There is no default value for this option.

-user <value>

    Set the username. There is no default value for this option.

-host <value>

    Set the hostname. There is no default value for this option.

-team <value>

    Set the team to join. The default value is: 65535.

-port <value>

    Set the port number of the server. Almost all servers use the default port, which is the recommended policy. You can find out about which port is used by a server by querying the XPilot Meta server. The default value is: 15345.

-clientPortStart <value>

    Use UDP ports clientPortStart - clientPortEnd (for firewalls). The default value is: 0.

-clientPortEnd <value>

    Use UDP ports clientPortStart - clientPortEnd (for firewalls). The default value is: 0.

-power <value>

    Set the engine power. Valid values are in the range 5-55. The default value is: 55.000.

-turnSpeed <value>

    Set the ship's turn speed. Valid values are in the range 4-64. The default value is: 16.000.

-turnResistance <value>

    Set the ship's turn resistance. This determines the speed at which a ship stops turning. Valid values are in the range 0.0-1.0. This should always be 0, other values are for compatibility. See also turnSpeed. The default value is: 0.000.

-scaleFactor <value>

    Specifies scaling factor for the drawing window. The default value is: 1.000.

-altScaleFactor <value>

    Specifies alternative scaling factor for the drawing window. The default value is: 2.000.

-maxFPS <value>

    Set maximum FPS supported by the client. The server will try to send at most this many frames per second to the client. The default value is: 255.

-maxMouseTurnsPS <value>

    Set maximum number of mouse turns sent per second Set to 0 to disable this feature (its mostly useful on modem) The default value is: 0.

-sparkSize <value>

    Size of sparks in pixels. The default value is: 2.

-sparkProb <value>

    The probablilty that sparks are drawn. This gives a sparkling effect. Valid values are in the range [0.0-1.0] The default value is: 0.400.

-hudRadarDotSize <value>

    Which size to use for drawing the hudradar dots. The default value is: 10.

-hudRadarScale <value>

    The relative size of the hudradar. The default value is: 1.500.

-hudRadarLimit <value>

    Hudradar dots closer than this to your ship are not drawn. A value of 1.0 means that the dots are not drawn for ships in your active view area. The default value is: 0.050.

-hudScale <value>

    How much larger than minimum size to draw the hud. The default value is: 2.000.

-baseWarningType <value>

    Which type of base warning you prefer. A value of 0 disables base warning. A value of 1 draws a time meter on a base when a ship is appearing. A value of 2 makes the base name flash when a ship is appearing. A value of 3 combines the effects of values 1 and 2. The default value is: 3.

-maxCharsInNames <value>

    Maximum number of characters to paint in names on game area. The default value is: 16.

-slidingRadar <value>

    If the game is in edgewrap mode then the radar will keep your position on the radar in the center and raw the rest of the radar around it. Note that this requires a fast graphics system. The default value is: yes.

-dirPrediction <value>

    Client paints the wanted direction of your ship instead of what the server sent you. Possible differences are corrected in roundtrip time. The default value is: no.

-showShipShapes <value>

    Should others' shipshapes be displayed or not. The default value is: yes.

-showMyShipShape <value>

    Should your own shipshape be displayed or not. The default value is: yes.

-showShipShapesHack <value>

    Should the ship shapes hack be displayed or not. The default value is: no.

-showLivesByShip <value>

    Paint remaining lives next to ships. The default value is: no.

-showMessages <value>

    Should game messages appear on screen. The default value is: yes.

-showItems <value>

    Should owned items be displayed permanently on the HUD? The default value is: yes.

-showItemsTime <value>

    If showItems is false, the time in seconds to display item information on the HUD when it has changed. The default value is: 5.000.

-filledWorld <value>

    Draws the walls solid, filled with one color, unless overridden by texture. Be warned that this option needs fast graphics. The default value is: no.

-texturedWalls <value>

    Allows drawing polygon bitmaps specified by the (new-style) map. Be warned that this needs a reasonably fast graphics system. The default value is: yes.

-blockProtocol <value>

    Prefer (old) block protocol when joining servers. The default value is: no.

-outlineWorld <value>

    Draws only the outline of all the wall blocks on block based maps. The default value is: no.

-showDecor <value>

    Should decorations be displayed on the screen and radar? The default value is: yes.

-outlineDecor <value>

    Draws only the outline of the map decoration. The default value is: no.

-filledDecor <value>

    Draws filled decorations. The default value is: no.

-texturedDecor <value>

    Draws the map decoration filled with a texture pattern. The default value is: no.

-clientRanker <value>

    Scan messages and make personal kill/death ranking. The default value is: no.

-clockAMPM <value>

    Use AMPM format for clock display instead of 24 hour format. The default value is: no.

-shotSize <value>

    The size of shots in pixels. The default value is: 6.

-teamShotSize <value>

    The size of team shots in pixels. Note that team shots are drawn in teamShotColor. The default value is: 4.

-backgroundPointDist <value>

    The distance between points in the background measured in blocks. These are drawn in empty map regions to keep feeling for which direction the ship is moving to. The default value is: 8.

-backgroundPointSize <value>

Specifies the size of the background points.
    0 means no points.

    The default value is: 2.

-scoreObjectTime <value>

    How many seconds score objects remain visible on the map. The default value is: 4.000.

-charsPerSecond <value>

    Rate at which messages appear on screen in characters per second. The default value is: 100.

-maxMessages <value>

    The maximum number of messages to display at the same time. The default value is: 8.

-messagesToStdout <value>

    Send messages to standard output. 0: Don't. 1: Only player messages. 2: Player and status messages. The default value is: 0.

-maxLinesInHistory <value>

    Number of your messages saved in the 'history' of the talk window. 'history' is accessible with 'keyTalkCursorUp/Down'. The default value is: 32.

-toggleShield <value>

    Are shields toggled by a keypress only? The default value is: no.

-autoShield <value>

    Are shields lowered automatically for weapon fire? The default value is: yes.

-fuelNotify <value>

    The limit when the HUD fuel bar will become visible. The default value is: 500.000.

-fuelWarning <value>

    The limit when the HUD fuel bar will start flashing. The default value is: 200.000.

-fuelCritical <value>

    The limit when the HUD fuel bar will flash faster. The default value is: 100.000.

-speedFactHUD <value>

    How much to move HUD to indicate the current velocity. The default value is: 0.000.

-speedFactPTR <value>

    Uses a red line to indicate the current velocity and direction. The default value is: 0.000.

-showScoreDecimals <value>

    The number of decimals to use when displaying scores. The default value is: 1.

-altPower <value>

    Set the ship's alternate engine power. See also the keySwapSettings option. The default value is: 55.000.

-altTurnSpeed <value>

    Set the ship's alternate turn speed. See also the keySwapSettings option. The default value is: 16.000.

-altTurnResistance <value>

    Set the ship's alternate turn resistance. See also the keySwapSettings option. The default value is: 0.000.

-markingLights <value>

    Should the fighters have marking lights, just like airplanes? The default value is: no.

-modifierBank1 <value>

    The default weapon modifier values for the first modifier bank. There is no default value for this option.

-modifierBank2 <value>

    The default weapon modifier values for the second modifier bank. There is no default value for this option.

-modifierBank3 <value>

    The default weapon modifier values for the third modifier bank. There is no default value for this option.

-modifierBank4 <value>

    The default weapon modifier values for the fourth modifier bank. There is no default value for this option.

-shipShape <value>

Define the ship shape to use.
    Because the argument to this option

    is rather large (up to 500 bytes) the recommended way to set this option is in the .xpilotrc file in your home directory. The exact format is defined in the file doc/README.SHIPS in the XPilot distribution. Note that there is a nifty Unix tool called editss for easy ship creation. There is XPShipEditor for Windows and Ship Shaper for Java. See the XPilot FAQ for details. See also the "shipShapeFile" option below. There is no default value for this option.

-shipShapeFile <value>

    An optional file where shipshapes can be stored. If this resource is defined and it refers to an existing file then shipshapes can be referenced to by their name. For instance if you define shipShapeFile to be /home/myself/.shipshapes and this file contains one or more shipshapes then you can select the shipshape by starting xpilot as:

    xpilot -shipShape myshipshapename

    Where "myshipshapename" should be the "name:" or "NM:" of one of the shipshapes defined in /home/myself/.shipshapes. Each shipshape definition should be defined on only one line, where all characters up to the first left parenthesis don't matter. The default value is: /home/kps/share/xpilot-ng/shipshapes.txt.

-texturePath <value>

    Search path for texture files. This is a list of one or more directories separated by colons. The default value is: /home/kps/share/xpilot-ng/textures/.

-clientRankFile <value>

    An optional file where clientside kill/death rank is stored. There is no default value for this option.

-clientRankHTMLFile <value>

    An optional file where clientside kill/death rank is published in HTML format. There is no default value for this option.

-clientRankHTMLNOJSFile <value>

    An optional file where clientside kill/death rank is published in HTML format, w/o JavaScript. There is no default value for this option.

-sounds <value>

    Specifies the sound file. The default value is: /home/kps/share/xpilot-ng/sound/sounds.txt.

-maxVolume <value>

    Specifies the volume to play sounds with. The default value is: 100.

-audioServer <value>

    Specifies the audio server to use. There is no default value for this option.

-msg1 <value>

    Talkmessage 1. The default value is: #t:*** BALL! Our ball is gone! Save it! ***.

-msg2 <value>

    Talkmessage 2. The default value is: #t:*** SAFE! Our ball is safe. ***.

-msg3 <value>

    Talkmessage 3. The default value is: #t:*** COVER! The enemy ball is approaching our base. ***.

-msg4 <value>

    Talkmessage 4. The default value is: #t:*** POP! The enemy ball is back at the enemy base. ***.

-msg5 <value>

    Talkmessage 5. The default value is: #=[#t|2|/team 4|/team 2].

-msg6 <value>

    Talkmessage 6. There is no default value for this option.

-msg7 <value>

    Talkmessage 7. There is no default value for this option.

-msg8 <value>

    Talkmessage 8. There is no default value for this option.

-msg9 <value>

    Talkmessage 9. There is no default value for this option.

-msg10 <value>

    Talkmessage 10. There is no default value for this option.

-msg11 <value>

    Talkmessage 11. There is no default value for this option.

-msg12 <value>

    Talkmessage 12. There is no default value for this option.

-msg13 <value>

    Talkmessage 13. There is no default value for this option.

-msg14 <value>

    Talkmessage 14. There is no default value for this option.

-msg15 <value>

    Talkmessage 15. There is no default value for this option.

-msg16 <value>

    Talkmessage 16. There is no default value for this option.

-msg17 <value>

    Talkmessage 17. There is no default value for this option.

-msg18 <value>

    Talkmessage 18. There is no default value for this option.

-msg19 <value>

    Talkmessage 19. There is no default value for this option.

-msg20 <value>

    Talkmessage 20. There is no default value for this option.

-keyTurnLeft <value>

    Turn left (anti-clockwise). There is no default value for this option.

-keyTurnRight <value>

    Turn right (clockwise). There is no default value for this option.

-keyThrust <value>

    Thrust. The default keys are: Shift_R Shift_L.

-keyShield <value>

    Raise or toggle the shield. The default key is: space.

-keyFireShot <value>

    Fire shot. Note that shields must be down to fire. The default keys are: Return Linefeed.

-keyFireMissile <value>

    Fire smart missile. The default key is: backslash.

-keyFireTorpedo <value>

    Fire unguided torpedo. The default key is: quoteright.

-keyFireHeat <value>

    Fire heatseeking missile. The default key is: semicolon.

-keyFireLaser <value>

    Activate laser beam. The default key is: slash.

-keyDropMine <value>

    Drop a stationary mine. The default key is: Tab.

-keyDetachMine <value>

    Detach a moving mine. The default key is: bracketright.

-keyDetonateMines <value>

    Detonate the closest mine you have dropped or thrown. The default key is: equal.

-keyLockClose <value>

    Lock on closest player. The default key is: Up.

-keyLockNextClose <value>

    Lock on next closest player. The default key is: Down.

-keyLockNext <value>

    Lock on next player. The default keys are: Next Right.

-keyLockPrev <value>

    Lock on previous player. The default keys are: Prior Right.

-keyRefuel <value>

    Refuel. The default keys are: f Control_L Control_R.

-keyRepair <value>

    Repair target. The default key is: f.

-keyCloak <value>

    Toggle cloakdevice. The default keys are: Delete BackSpace.

-keyEcm <value>

    Use ECM. The default key is: bracketleft.

-keySelfDestruct <value>

    Toggle self destruct. The default key is: End.

-keyIdMode <value>

    Toggle User mode (show real names). The default key is: u.

-keyPause <value>

    Toggle pause mode. When the ship is stationary on its homebase. The default key is: Pause.

-keySwapSettings <value>

    Swap to alternate control settings. These are the power, turn speed and turn resistance settings. There is no default value for this option.

-keySwapScaleFactor <value>

    Swap scalefactor settings. There is no default value for this option.

-keyChangeHome <value>

    Change home base. When the ship is close to a suitable base. The default keys are: Home h.

-keyConnector <value>

    Connect to a ball. The default keys are: f Control_L Control_R.

-keyDropBall <value>

    Drop a ball. The default key is: d.

-keyTankNext <value>

    Use the next tank. The default key is: e.

-keyTankPrev <value>

    Use the the previous tank. The default key is: w.

-keyTankDetach <value>

    Detach the current tank. The default key is: r.

-keyIncreasePower <value>

    Increase engine power. The default key is: KP_Multiply.

-keyDecreasePower <value>

    Decrease engine power. The default key is: KP_Divide.

-keyIncreaseTurnspeed <value>

    Increase turnspeed. The default key is: KP_Add.

-keyDecreaseTurnspeed <value>

    Decrease turnspeed. The default key is: KP_Subtract.

-keyTransporter <value>

    Use transporter to steal an item. The default key is: t.

-keyDeflector <value>

    Toggle deflector. The default key is: o.

-keyHyperJump <value>

    Teleport. The default key is: q.

-keyPhasing <value>

    Use phasing device. The default key is: p.

-keyTalk <value>

    Toggle talk window. The default key is: m.

-keyToggleNuclear <value>

    Toggle nuclear weapon modifier. The default key is: n.

-keyToggleCluster <value>

    Toggle cluster weapon modifier. The default key is: c.

-keyToggleImplosion <value>

    Toggle implosion weapon modifier. The default key is: i.

-keyToggleVelocity <value>

    Toggle explosion velocity weapon modifier. The default key is: v.

-keyToggleMini <value>

    Toggle mini weapon modifier. The default key is: x.

-keyToggleSpread <value>

    Toggle spread weapon modifier. The default key is: z.

-keyTogglePower <value>

    Toggle power weapon modifier. The default key is: b.

-keyToggleCompass <value>

    Toggle HUD/radar compass lock. The default key is: KP_7.

-keyToggleAutoPilot <value>

    Toggle automatic pilot mode. The default key is: h.

-keyToggleLaser <value>

    Toggle laser modifier. The default key is: l.

-keyEmergencyThrust <value>

    Pull emergency thrust handle. The default key is: j.

-keyEmergencyShield <value>

    Toggle emergency shield power. The default key is: Caps_Lock.

-keyTractorBeam <value>

    Use tractor beam in attract mode. The default key is: comma.

-keyPressorBeam <value>

    Use tractor beam in repulse mode. The default key is: period.

-keyClearModifiers <value>

    Clear current weapon modifiers. The default key is: k.

-keyLoadModifiers1 <value>

    Load the weapon modifiers from bank 1. The default key is: 1.

-keyLoadModifiers2 <value>

    Load the weapon modifiers from bank 2. The default key is: 2.

-keyLoadModifiers3 <value>

    Load the weapon modifiers from bank 3. The default key is: 3.

-keyLoadModifiers4 <value>

    Load the weapon modifiers from bank 4. The default key is: 4.

-keyToggleOwnedItems <value>

    Toggle list of owned items on HUD. The default key is: KP_8.

-keyToggleMessages <value>

    Toggle showing of messages. The default key is: KP_9.

-keyReprogram <value>

    Reprogram modifier or lock bank. The default key is: quoteleft.

-keyLoadLock1 <value>

    Load player lock from bank 1. The default key is: 5.

-keyLoadLock2 <value>

    Load player lock from bank 2. The default key is: 6.

-keyLoadLock3 <value>

    Load player lock from bank 3. The default key is: 7.

-keyLoadLock4 <value>

    Load player lock from bank 4. The default key is: 8.

-keyToggleRecord <value>

    Toggle recording of session (see recordFile). The default key is: KP_5.

-keyToggleRadarScore <value>

    Toggles the radar and score windows on and off. The default key is: F11.

-keyToggleFullScreen <value>

    Toggles between fullscreen mode and window mode. The default key is: F11.

-keySelectItem <value>

    Select an item to lose. The default keys are: KP_0 KP_Insert.

-keyLoseItem <value>

    Lose the selected item. The default keys are: KP_Delete KP_Decimal.

-keyPrintMessagesStdout <value>

    Print the current messages to stdout. The default key is: Print.

-keyTalkCursorLeft <value>

    Move Cursor to the left in the talk window. The default key is: Left.

-keyTalkCursorRight <value>

    Move Cursor to the right in the talk window. The default key is: Right.

-keyTalkCursorUp <value>

    Browsing in the history of the talk window. The default key is: Up.

-keyTalkCursorDown <value>

    Browsing in the history of the talk window. The default key is: Down.

-keyPointerControl <value>

    Toggle pointer control. The default key is: KP_Enter.

-keyExit <value>

    Generic exit key. Used for example to exit mouse mode or quit the client. The default key is: Escape.

-keyYes <value>

    Positive reply key. Used to reply 'yes' to client questions. The default key is: y.

-keyNo <value>

    Negative reply key. Used to reply 'no' to client questions. The default key is: n.

-keySendMsg1 <value>

    Sends the talkmessage stored in msg1. The default key is: F1.

-keySendMsg2 <value>

    Sends the talkmessage stored in msg2. The default key is: F2.

-keySendMsg3 <value>

    Sends the talkmessage stored in msg3. The default key is: F3.

-keySendMsg4 <value>

    Sends the talkmessage stored in msg4. The default key is: F4.

-keySendMsg5 <value>

    Sends the talkmessage stored in msg5. The default key is: F5.

-keySendMsg6 <value>

    Sends the talkmessage stored in msg6. The default key is: F6.

-keySendMsg7 <value>

    Sends the talkmessage stored in msg7. The default key is: F7.

-keySendMsg8 <value>

    Sends the talkmessage stored in msg8. The default key is: F8.

-keySendMsg9 <value>

    Sends the talkmessage stored in msg9. The default key is: F9.

-keySendMsg10 <value>

    Sends the talkmessage stored in msg10. The default key is: F10.

-keySendMsg11 <value>

    Sends the talkmessage stored in msg11. There is no default value for this option.

-keySendMsg12 <value>

    Sends the talkmessage stored in msg12. There is no default value for this option.

-keySendMsg13 <value>

    Sends the talkmessage stored in msg13. There is no default value for this option.

-keySendMsg14 <value>

    Sends the talkmessage stored in msg14. There is no default value for this option.

-keySendMsg15 <value>

    Sends the talkmessage stored in msg15. There is no default value for this option.

-keySendMsg16 <value>

    Sends the talkmessage stored in msg16. There is no default value for this option.

-keySendMsg17 <value>

    Sends the talkmessage stored in msg17. There is no default value for this option.

-keySendMsg18 <value>

    Sends the talkmessage stored in msg18. There is no default value for this option.

-keySendMsg19 <value>

    Sends the talkmessage stored in msg19. There is no default value for this option.

-keySendMsg20 <value>

    Sends the talkmessage stored in msg20. There is no default value for this option.

-pointerButton1 <value>

    The keys to activate when pressing the first mouse button. The default value is: keyFireShot.

-pointerButton2 <value>

    The keys to activate when pressing the second mouse button. The default value is: keyThrust.

-pointerButton3 <value>

    The keys to activate when pressing the third mouse button. The default value is: keyThrust.

-pointerButton4 <value>

    The keys to activate when pressing the fourth mouse button. There is no default value for this option.

-pointerButton5 <value>

    The keys to activate when pressing the fifth mouse button. There is no default value for this option.

-geometry <value>

    Set the initial window geometry. The default value is: 1280x1024.

-gameFontSize <value>

    Height of font used for game strings. The default value is: 16.

-mapFontSize <value>

    Height of font used for strings painted on the map. The default value is: 16.

-TTFont <value>

    Set the font to use. The default value is: /home/kps/share/xpilot-ng/fonts/FreeSansBoldOblique.ttf.

-messagesColorRGBA <value>

    The color of messages. The default value is: #00aaaaff.

-oldmessagesColorRGBA <value>

    The color of old messages. The default value is: #008888ff.

-msgScanBallColorRGBA <value>

    The color of ball warning. The default value is: #ff0000ff.

-msgScanSafeColorRGBA <value>

    The color of ball safe announcement. The default value is: #00ff00ff.

-msgScanCoverColorRGBA <value>

    The color of cover request. The default value is: #4e7cffff.

-msgScanPopColorRGBA <value>

    The color of ball pop announcement. The default value is: #ffbb11ff.

-meterBorderColorRGBA <value>

    The color of meter borders. The default value is: #0000ffaa.

-fuelMeterColorRGBA <value>

    The color of fuel meter. The default value is: #ff0000aa.

-fuelGaugeColorRGBA <value>

    The color of fuel gauge. The default value is: #0000ff44.

-powerMeterColorRGBA <value>

    The color of power meter. The default value is: #ff0000aa.

-turnSpeedMeterColorRGBA <value>

    The color of turn speed meter. The default value is: #ff0000aa.

-packetSizeMeterColorRGBA <value>

    The color of packet size meter. The default value is: #ff0000aa.

-packetLossMeterColorRGBA <value>

    The color of packet loss meter. The default value is: #ff0000aa.

-packetDropMeterColorRGBA <value>

    The color of drop meter. The default value is: #ff0000aa.

-packetLagMeterColorRGBA <value>

    The color of lag meter. The default value is: #ff0000aa.

-temporaryMeterColorRGBA <value>

    The color of time meter. The default value is: #ff0000aa.

-ballColorRGBA <value>

    The color of balls. The default value is: #00ff00ff.

-connColorRGBA <value>

    The color of the ball connector. The default value is: #00ff0088.

-fuelColorRGBA <value>

    The color of fuel cells. The default value is: #ffffff7f.

-wallColorRGBA <value>

    The color of walls on blockmaps. The default value is: #0000ffff.

-decorColorRGBA <value>

    The color of decorations on blockmaps. The default value is: #bb7700ff.

-baseNameColorRGBA <value>

    The color of base name. The default value is: #77bbffff.

-shipNameColorRGBA <value>

    The color of ship name. The default value is: #77bbffff.

-scoreObjectColorRGBA <value>

    The color of score objects. The default value is: #00ff0088.

-hudColorRGBA <value>

    The color of the HUD. The default value is: #ff000088.

-hudHLineColorRGBA <value>

    The color of horizontal HUD line. The default value is: #0000ff44.

-hudVLineColorRGBA <value>

    The color of vertical HUD line. The default value is: #0000ff44.

-hudItemsColorRGBA <value>

    The color of hud items. The default value is: #0080ffaa.

-hudRadarEnemyColorRGBA <value>

    The color of enemy on HUD radar. The default value is: #ff000088.

-hudRadarOtherColorRGBA <value>

    The color of friend on HUD radar. The default value is: #0000ff88.

-hudRadarObjectColorRGBA <value>

    The color of small object on HUD radar. The default value is: #00000000.

-dirPtrColorRGBA <value>

    The color of direction pointer. The default value is: #0000ff22.

-selectionColorRGBA <value>

    The color of selection. The default value is: #ff0000ff.

-scoreInactiveSelfColorRGBA <value>

    The color of my score when inactive. The default value is: #88008888.

-scoreInactiveColorRGBA <value>

    The color of score when inactive. The default value is: #8800aa88.

-scoreSelfColorRGBA <value>

    The color of my score. The default value is: #ffff00ff.

-scoreColorRGBA <value>

    The color of score. The default value is: #888800ff.

-scoreOwnTeamColorRGBA <value>

    The color of my team score. The default value is: #0000ffff.

-scoreEnemyTeamColorRGBA <value>

    The color of enemy team score. The default value is: #ff0000ff.

-teamShipColorRGBA <value>

    The color of teammate color. The default value is: #0000ffff.

-team0ColorRGBA <value>

    The color of team 0. The default value is: #00000000.

-team1ColorRGBA <value>

    The color of team 1. The default value is: #00000000.

-team2ColorRGBA <value>

    The color of team 2. The default value is: #00000000.

-team3ColorRGBA <value>

    The color of team 3. The default value is: #00000000.

-team4ColorRGBA <value>

    The color of team 4. The default value is: #00000000.

-team5ColorRGBA <value>

    The color of team 5. The default value is: #00000000.

-team6ColorRGBA <value>

    The color of team 6. The default value is: #00000000.

-team7ColorRGBA <value>

    The color of team 7. The default value is: #00000000.

-team8ColorRGBA <value>

    The color of team 8. The default value is: #00000000.

-team9ColorRGBA <value>

    The color of team 9. The default value is: #00000000.

-selfLWColorRGBA <value>

    The color of my ship on last life. The default value is: #ff0000ff.

-teamLWColorRGBA <value>

    The color of team ship on last life. The default value is: #ff00ffff.

-enemyLWColorRGBA <value>

    The color of enemy ship on last life. The default value is: #ffff00ff.

-manyLivesColorRGBA <value>

    The color of name of ship with many lives. The default value is: #666666aa.

-twoLivesColorRGBA <value>

    The color of name of ship with two lives. The default value is: #008800aa.

-oneLifeColorRGBA <value>

    The color of name of ship with one life. The default value is: #aaaa00aa.

-zeroLivesColorRGBA <value>

    The color of name of ship with no lives. The default value is: #ff0000aa.

-meterWidth <value>

    Set the width of the meters. The default value is: 60.

-meterHeight <value>

    Set the height of a meter. The default value is: 10.

-shipLineWidth <value>

    Set the line width of ships. The default value is: 1.000.

-smoothLines <value>

    Use antialized smooth lines. The default value is: yes.

-texturedBalls <value>

    Draw balls with textures. The default value is: yes.

-texturedShips <value>

    Draw ships with textures. The default value is: yes.

-hudRadarEnemyShape <value>

    The shape of enemy ships on hud radar. The default value is: 2.

-hudRadarOtherShape <value>

    The shape of friendly ships on hud radar. The default value is: 2.

-hudRadarObjectShape <value>

    The shape of small objects on hud radar. The default value is: 0.

-radarGeometry <value>

    Set the radar geometry. The default value is: 200x200+10+10.

Most of these options can also be set in the .xpilotrc file in your home directory. Each key option may have multiple keys bound to it and one key may be used by multiple key options. If no server is specified on the command line, xpilot will display a welcome screen where you can select a server.